;; default load file for QNX at dupont.
;;
;; This file will load after the users .emacs file unless he puts
;; (setq inhibit-default-init to t)
;; in his .emacs file.

;; Here is a way to size the emacs screen from the command line.
;; All of this can be bagged when emacs understands QNX consoles.

;; Append our alist to whatever list may be in command-switch-alist.
;; This causes startup to parse -lines <num>, -cols <num>, and -columns <num>.
;; We don't just replace command-switch-alist, since that might delete
;; alist entries set up by other libraries.

(setq command-switch-alist (append '(("-lines" . default-parse-lines)
				     ("-columns" . default-parse-columns)
				     ("-cols" . default-parse-columns))
				   command-switch-alist))

;; private parsing functions.  We use default- as a library prefix.
(defun default-parse-lines (switch)
  (set-screen-height (string-to-int (car command-line-args-left)))
  (setq command-line-args-left (cdr command-line-args-left)))

(defun default-parse-columns (switch)
  (set-screen-width (string-to-int (car command-line-args-left)))
  (setq command-line-args-left (cdr command-line-args-left)))

;; Interactive screen size setting functions

(defun lines (lines)
  "Set the number of screen lines interactively, either from prompted input,
or a supplied prefix argument."
  (interactive "NLines: ")		;Use either prompt or prefix argument
  (set-screen-height lines))

(defun columns (columns)
  "Set the number of screen columns interactively, either from prompted input,
or a supplied prefix argument."
  (interactive "NColumns: ")		;Use either prompt or prefix argument
  (set-screen-width columns))


;;; Commands added by calc-public-autoloads on Wed May 26 10:34:36 1993.
(autoload 'calc-dispatch	   "calc" "Calculator Options" t)
(autoload 'full-calc		   "calc" "Full-screen Calculator" t)
(autoload 'full-calc-keypad	   "calc" "Full-screen X Calculator" t)
(autoload 'calc-eval		   "calc" "Use Calculator from Lisp")
(autoload 'defmath		   "calc" nil t t)
(autoload 'calc			   "calc" "Calculator Mode" t)
(autoload 'quick-calc		   "calc" "Quick Calculator" t)
(autoload 'calc-keypad		   "calc" "X windows Calculator" t)
(autoload 'calc-embedded	   "calc" "Use Calc inside any buffer" t)
(autoload 'calc-embedded-activate  "calc" "Activate =>'s in buffer" t)
(autoload 'calc-grab-region	   "calc" "Grab region of Calc data" t)
(autoload 'calc-grab-rectangle	   "calc" "Grab rectangle of data" t)
(autoload 'edit-kbd-macro	   "macedit" "Edit Keyboard Macro" t)
(autoload 'edit-last-kbd-macro	   "macedit" "Edit Keyboard Macro" t)
(autoload 'read-kbd-macro	   "macedit" "Read Keyboard Macro" t)
(setq load-path (append load-path (list "/usr/GNU/ftp/calc-2.02-work")))
(global-set-key "\e#" 'calc-dispatch)
;;; End of Calc autoloads.
