;; Local change history (Dupont):
;;
;; 1/21/92 Walker D. Tingley
;;	Add keypad setup.

;; Don't send the `ti' string when screen is cleared.

(setq reset-terminal-on-clear nil)

;; xterm looks like a vt200, at least for Ultrix, perhaps everywhere.
;; vt200 loads keypad for us, so we don't have to.

(load (concat term-file-prefix "vt200") nil t)

;; xterm also has extra keys, F1 - F5, which the vt200 uses for other things.
;; They are available to us, so we bind them here.
;;
;; The labels F1 - F4 are allready used by PF1 - PF4, and this must continue
;; for the EDT emulator to work.  We have two choices:
;;
;;	Bind F1 - F4 to F1 - F4.  We end up with two redundant sets of F1 - F4.
;;	Bind F1 - F4 to F21 - F24.  We get a potentially confusing binding
;;	for F1 - F4, but we have four more unique keypad keys to use.
;;
;; In emacs, we have a lot of commands, but very few keys; We mustn't waste
;; them.  I therefore use the second choice by default.  If you don't like this
;; place this in your .emacs file:
;;
;;	(setq xterm-F1-F4-is-F1-F4 t)
;;
;; The first choice will then be used.
;;
;; To make the dark function keys usable, you must execute enable-arrow-keys
;; after this file is loaded.  This will crush the meaning of ESC [ as
;; backward-paragraph.  If you wish to do it in .emacs you must do it
;; through term-setup-hook, thus:
;;
;;	(defun mysetup ()
;;		(if (fboundp 'enable-arrow-keys) ; Execute only if defined
;;		    (enable-arrow-keys))
;;		... anything else to be done after terminal file is loaded
;;	)
;;	(setq term-setup-hook 'mysetup)
;;
;; Actually, the name, enable-arrow-keys, is somewhat misleading here, since
;; the arrow keys generate ESC O prefixes instead of ESC [, and so are
;; allready enabled through SS3-map.

(defvar xterm-F1-F4-is-F1-F4 nil
"If t, and your terminal is xterm, bind F1-F4 to the corresponding F1-F4
in function-keymap.  Otherwise, bind F1-F4 to F21-F24.
F1-F4 are allready generated by PF1-PF4, so using F1-F4 to do the same is
redundant, but perhaps less confusing.")

;; Bind F1-F4

(setup-terminal-keymap CSI-map
		       (if xterm-F1-F4-is-F1-F4
			   '(("11~" . ?\C-a)	;F1
			     ("12~" . ?\C-b)	;F2
			     ("13~" . ?\C-c)	;F3
			     ("14~" . ?\C-d))	;F4
			 '(("11~" . ?\C-u)	;F1
			   ("12~" . ?\C-v)	;F2
			   ("13~" . ?\C-w)	;F3
			   ("14~" . ?\C-x))))	;F4

;; Bind F5

(setup-terminal-keymap CSI-map '(("15~" . ?\C-e)))
